QHBoxLayout(3qt)

NAME
QHBoxLayout - Lines up child widgets horizontally

SYNOPSIS

#include <qlayout.h>

Inherits QBoxLayout.

  Public Members
QHBoxLayout ( QWidget * parent, int border=0, int autoBorder = -1, const char * name=0 )
QHBoxLayout ( int autoBorder = -1, const char * name=0 )
~QHBoxLayout ()

DESCRIPTION
The QHBoxLayout class lines up child widgets horizontally.

This class provides an easier way to construct horizontal box layout objects. See QBoxLayout for more details.

The simplest way to use this class is:

     QBoxLayout * l = new QHBoxLayout( widget );
     l->addWidget( aWidget );
     l->addWidget( anotherWidget );
     l->activate()

See also: QVBoxLayout and QGridLayout.

Examples: layout/layout.cpp widgets/widgets.cpp

MEMBER FUNCTION DOCUMENTATION

QHBoxLayout::QHBoxLayout ( QWidget * parent, int border=0, int autoBorder = -1, const char * name=0 )
Creates a new top-level horizontal box.

QHBoxLayout::QHBoxLayout ( int autoBorder = -1, const char * name=0 )
Creates a new horizontal box. You have to add it to another layout before using it.

QHBoxLayout::~QHBoxLayout ()
Destroys this box.

SEE ALSO
http://www.troll.no/qt/qhboxlayout.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.